Imports System
Imports System.EnterpriseServices
Imports System.Runtime.InteropServices
Imports StepByStep7_15
Imports StepByStep7_16

Public Interface IOrdering
    Sub PlaceOrder(ByVal customerID As String, _
     ByVal productiD As Integer)
End Interface

<InterfaceQueuing( _
 Enabled:=True, Interface:="IOrdering"), _
 Transaction(TransactionOption.RequiresNew), _
 ClassInterface(ClassInterfaceType.None), _
 Guid("C8666D55-AF3F-4c31-B00A-372C39242174")> _
Public Class Ordering
    Inherits ServicedComponent
    Implements IOrdering

    Public Sub New()
    End Sub

    <AutoComplete(True)> _
     Public Sub PlaceOrder(ByVal customerID As String, _
      ByVal productID As Integer) _
      Implements IOrdering.PlaceOrder
        Dim b As Billing = New Billing()
        b.BillCustomer( _
         customerID, productID)

        Dim s As Shipping = New Shipping()
        s.ShipItem( _
         customerID, productID)
    End Sub
End Class
