Imports System
Imports System.EnterpriseServices
Imports System.Runtime.InteropServices
Imports StepByStep7_15
Imports StepByStep7_16

Public Interface IOrdering
    Sub PlaceOrder(ByVal customerID As String, _
     ByVal productiD As Integer)
End Interface

<Transaction(TransactionOption.RequiresNew), _
 ClassInterface(ClassInterfaceType.None), _
 Guid("F4BB597A-2622-4cc2-A074-364927E54992")> _
Public Class Ordering
    Inherits ServicedComponent
    Implements IOrdering

    Public Sub New()
    End Sub

    <AutoComplete(True)> _
     Public Sub PlaceOrder(ByVal customerID As String, _
      ByVal productID As Integer) _
      Implements IOrdering.PlaceOrder
        Dim b As Billing = New Billing()
        b.BillCustomer( _
         customerID, productID)

        Dim s As Shipping = New Shipping()
        s.ShipItem( _
         customerID, productID)
    End Sub
End Class
